Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000301 [Piwigo] users & groups feature N/A 2006.03.04 23:25 2006.05.08 11:38
Reporter rub View Status public  
Assigned To rub
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version BSF branch (dev) Product Version
  Target Version Product Build
Summary 0000301: User générique
Description Suite à la discussion sur le forum http://forum.phpwebgallery.net/viewtopic.php?pid=30460#p30460. [^]

Mise en place de nouveaux status pour les users.

Extention du champs status de la table phpwebgallery_user_infos :
  o webmaster
  o admin
  o normal
  o generic
  o guest

webmaster:
  Status NON affectable par l'interface
  Utilisateur unique (Modifiable uniquement via le fichier de configuration)
  Super utilisateur
  Accès à tous
  Correspond au 1er utlisateur créer dans l'installation

admin:
  Status affectable par l'interface
  Utilisateur multiple
  Accés à tous ce que peut faire le status normal
  Accès à toutes la partie administration (pour le moment)

guest:
  Status NON affectable par l'interface
  Utilisateur unique (Modifiable uniquement via le fichier de configuration)
  Correspond au 2eme utlisateur créer dans l'installation (Creation automatique)
  Aucun accés administration
  Accés Home comme version 1.5.2
  La réemission de password par mail est interdire

normal:
  Status affectable par l'interface
  Utilisateur multiple
  Aucun accés administration
  Accés Home comme version 1.5.2

generic:
  Status affectable par l'interface
  Utilisateur multiple
  Aucun accés administration
  Pas d'envoie de mail de password
  Comme normal sauf sous-menu Customize
  La réemission de password par mail est interdire

Pour les dev:
  o Modification de la table
  o Modification de isadmin.inc.php pour prendre en compte les différents types
  o Renommage de isadmin.inc.php en checkadmin.inc.php
  o Ajout de checkhome.inc.php pour faire comme isadmin.inc.php mais au niveau home/usernormal
  o Ajout de checkhome.inc.php pour l'ensemble des fiches appelés dans home
  o Changement des 'admin' == $user['status'] par le test de nouvelles variables
$user['is_admin'] = ($user['status'] == 'webmaster' or $user['status'] == 'admin' or $user['status'] == 'admin') ? true : false;
etc...
  o Gestion des menus dans home et admin suivant le status
Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0000680)
rub (developer)
2006.03.09 00:14
edited on: 2006.03.09 10:00

Sur BSF [Subversion] r1070

Par rapport aux spécifications, petit changement:
  o pas d'émission de mots de passe pour le webmaster aussi
  o Status NON affectable par l'interface ne sera pas fait (finalement, c'est forcement nécessaire, a voir si c'est vraiment nécessaire).

(0000681)
mathiasm (manager)
2006.03.09 01:15

Je pense que certains tests (comme celui-ci if ('admin' == $user['status']),picture.php:117) vont devoir être revus.
(0000684)
rub (developer)
2006.03.09 06:46

C'est à dire?
Je ne comprends pas la remarque?
Sauf oublie de ma part, j'ai déjà changé tous les tests dans la revision 1070.
Ne me reste plus qu'à faire les "tests" spécifiques, cad ceux pour le user génrique, ect...
(0000685)
mathiasm (manager)
2006.03.09 17:21

Ben ouais, mais j'ai vu ce test en parcourant lepicture.php pour autre chose, et bien évidemment je n'étais pas en 1070.
Je suis juste trop pressé. Désolé si j'ai été alarmiste.
(0000686)
rub (developer)
2006.03.09 23:08

Pas de soucis ;-)

Et puis, c'est bien quand le code est vérifié car on n'est à la l'abrit d'oubli!
(0000687)
rub (developer)
2006.03.09 23:46

Les révisions 1072 et 1073 permettent l'utilisation du user.

Pour la prochaine fois, je vais essayer de mettre en place un check du status pour les fichier upgrade.php et upgrade_feed.php
(0000688)
rub (developer)
2006.03.12 21:57

Suite aux discussions sur le forum, un champs adviser sera ajouté dans le table user_info.

Si ce champs est à true, l'utilisateur ne pourra uniquement que visualiser en admin ou en normal.
(0000695)
rub (developer)
2006.03.16 23:54

A priori tout est fini dans la [Subversion] r1085
(0000696)
rub (developer)
2006.03.17 18:55

Ajout de $conf['allow_adviser']
[Subversion] r1087

- Issue History
Date Modified Username Field Change
2006.03.04 23:25 rub New Issue
2006.03.04 23:25 rub Status new => assigned
2006.03.04 23:25 rub Assigned To => rub
2006.03.04 23:25 rub browser => any
2006.03.04 23:25 rub Web server => Apache 1.3.x
2006.03.09 00:14 rub Note Added: 0000680
2006.03.09 01:15 mathiasm Note Added: 0000681
2006.03.09 01:15 mathiasm Issue Monitored: mathiasm
2006.03.09 06:46 rub Note Added: 0000684
2006.03.09 10:00 plg Note Edited: 0000680
2006.03.09 17:21 mathiasm Note Added: 0000685
2006.03.09 23:08 rub Note Added: 0000686
2006.03.09 23:46 rub Note Added: 0000687
2006.03.12 21:57 rub Note Added: 0000688
2006.03.16 23:54 rub Note Added: 0000695
2006.03.17 18:55 rub Note Added: 0000696
2006.03.28 23:00 rub Status assigned => resolved
2006.03.28 23:00 rub Fixed in Version => BSF branch (dev)
2006.03.28 23:00 rub Resolution open => fixed
2006.05.08 11:38 rub Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker